package com.waimai.web.admin.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.waimai.common.annotation.Excel;
import com.waimai.common.core.domain.BaseEntity;

/**
 * carts对象 carts
 * 
 * @author callmeyan
 * @date 2023-04-07
 */
public class Carts extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long fid;

    /** $column.columnComment */
    private Long uid;

    private String foodsCover;
    private String foodsTitle;
    private Integer foodPrice;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long count;

    /** 状态 */
    @Excel(name = "状态")
    private Integer state;

    public void setFid(Long fid) 
    {
        this.fid = fid;
    }

    public Long getFid() 
    {
        return fid;
    }
    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }
    public void setCount(Long count) 
    {
        this.count = count;
    }

    public Long getCount() 
    {
        return count;
    }
    public void setState(Integer state) 
    {
        this.state = state;
    }

    public Integer getState() 
    {
        return state;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fid", getFid())
            .append("uid", getUid())
            .append("count", getCount())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("state", getState())
            .append("remark", getRemark())
            .toString();
    }

    public String getFoodsCover() {
        return foodsCover;
    }

    public void setFoodsCover(String foodsCover) {
        this.foodsCover = foodsCover;
    }

    public String getFoodsTitle() {
        return foodsTitle;
    }

    public void setFoodsTitle(String foodsTitle) {
        this.foodsTitle = foodsTitle;
    }

    public Integer getFoodPrice() {
        return foodPrice;
    }

    public void setFoodPrice(Integer foodPrice) {
        this.foodPrice = foodPrice;
    }
}
